{
  "name": "saas-lab",
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode dev",
    "build": "vue-tsc --noEmit && vite build --mode prod && npm run deploy",
    "build:test": "vue-tsc --noEmit && vite build --mode test",
    "build:pre": "vue-tsc --noEmit && vite build --mode pre",
    "preview": "vite preview --port 4173",
    "typecheck": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "deploy": "node ./deploy.js",
    "cert": "node ./cert.js"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.0.9",
    "@tinymce/tinymce-vue": "^5.0.0",
    "@vant/area-data": "^1.3.2",
    "@vueuse/core": "^9.2.0",
    "ali-oss": "^6.17.1",
    "axios": "^0.27.2",
    "blueimp-md5": "^2.19.0",
    "countup.js": "^2.3.2",
    "dayjs": "^1.11.5",
    "element-plus": "^2.2.16",
    "file-saver": "^2.0.5",
    "lodash-es": "^4.17.21",
    "pinia": "^2.0.21",
    "qs": "^6.11.0",
    "ua-parser-js": "^1.0.2",
    "video.js": "^7.20.2",
    "vue": "^3.2.38",
    "vue-router": "^4.1.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.0",
    "@types/ali-oss": "^6.16.4",
    "@types/blueimp-md5": "^2.18.0",
    "@types/file-saver": "^2.0.5",
    "@types/node": "^16.11.56",
    "@types/qs": "^6.9.7",
    "@types/ua-parser-js": "^0.7.36",
    "@types/video.js": "^7.3.46",
    "@vitejs/plugin-vue": "^3.1.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/tsconfig": "^0.1.3",
    "chalk": "^5.0.1",
    "eslint": "^8.5.0",
    "eslint-plugin-vue": "^9.4.0",
    "sass": "^1.54.8",
    "typescript": "~4.7.4",
    "unplugin-auto-import": "^0.11.2",
    "vite": "^3.1.0",
    "vite-plugin-checker": "^0.5.1",
    "vue-tsc": "^0.40.5"
  }
}
